%define xbin /usr/X11R6/bin
%define xappdef /usr/X11R6/lib/X11/app-defaults
%define xinclude /usr/X11R6/include
%define xlib /usr/X11R6/lib
%define fwfinclude /usr/X11R6/include
%define fwflib /usr/X11R6/lib
%define aero /usr/lib/aero
Summary: Animations Editor for Realistic Object motion
Name: aero
Version: 1.7.0
Release: 1
Copyright: Free
Group: X11/Applications/Graphics
URL: http://www.ee.uwa.edu.au/~braunl/aero/
Source0: ftp://ftp.ee.uwa.edu.au/users/braunl/aero/aero-1.7.0.src.tgz
Source1: ftp://ftp.ee.uwa.edu.au/users/braunl/aero/NOTICE
Source2: ftp://ftp.ee.uwa.edu.au/users/braunl/aero/animations.tar.gz
BuildRoot: /tmp/aero-root

%description
AERO is a tool for editing and simulating scenes with rigid body
systems. You can use the built-in 4-view editor to create a virtual
scene consisting of spheres, cuboids, cylinders, planes and fix
points. You can link these objects with rods, springs, dampers and
bolt joints and you can connect forces to the objects. Then you can
begin the simulation and everything starts moving according to the
laws of physics (gravitation, friction, collisions). The simulation
can be viewed as animated wire frame graphics. In addition you can
use the POV-Ray raytracing program to render photo-realistic animation
sequences.

%changelog

* Sun Jan 25 1998 Peter Csizmadia <cspeter@rmki.kfki.hu>

- initial package

%package demos
Summary: AERO demo
Group: X11/Applications/Graphics
%description demos
Some animations created with AERO and POV-Ray.

%prep

%setup -n aero
cp -p $RPM_SOURCE_DIR/NOTICE .
gunzip <$RPM_SOURCE_DIR/animations.tar.gz | tar xf -
chown -R root.root *
sed '
s|^XAEROBIN.*$|XAEROBIN = %{xbin}|
s|^XAEROAPPL.*$|XAEROAPPL = %{xappdef}|
s|^XINCLUDE.*$|XINCLUDE = %{xinclude}|
s|^XLIB.*$|XLIB = %{xlib}|
s|^FWFINCLUDE.*$|FWFINCLUDE = %{fwfinclude}|
s|^FWFLIB.*$|FWFLIB = %{fwflib}|
s/^ADDXLIB.*$/ADDXLIB = -lXpm/' <src/Makefile.linux >src/Makefile

%build
cd src
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{xbin} ${RPM_BUILD_ROOT}%{xappdef} ${RPM_BUILD_ROOT}%{aero} ${RPM_BUILD_ROOT}%{aero}/bin
install -s src/xaero ${RPM_BUILD_ROOT}%{aero}/bin
ln -s %{aero}/bin/xaero ${RPM_BUILD_ROOT}%{xbin}/xaero
cp -p app-defaults/XAero ${RPM_BUILD_ROOT}%{xappdef}/XAero
cp -p CHANGES FAQ FILE_FORMAT INSTALL NOTICE README* USERS_GUIDE ${RPM_BUILD_ROOT}%{aero}
cp -pr examples fsb-examples povray-include scripts animations ${RPM_BUILD_ROOT}%{aero}
cd ${RPM_BUILD_ROOT}%{aero}/bin
ln -s ../scripts/pov* ../scripts/new-xv-style/* .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{xbin}/xaero
%{xappdef}/XAero
%dir %{aero}
%doc %{aero}/CHANGES
%doc %{aero}/FAQ
%doc %{aero}/FILE_FORMAT
%doc %{aero}/INSTALL
%doc %{aero}/NOTICE
%doc %{aero}/README*
%doc %{aero}/USERS_GUIDE
%{aero}/bin
%{aero}/examples
%{aero}/fsb-examples
%dir %{aero}/povray-include
%doc %{aero}/povray-include/FILELIST*
%{aero}/povray-include/*.inc
%dir %{aero}/scripts
%doc %{aero}/scripts/FILELIST*
%{aero}/scripts/pov*
%{aero}/scripts/ray*
%{aero}/scripts/new-xv-style

%files demos
%{aero}/animations
